%global _python_dist_allow_version_zero 1
%global srcname hoover
%global vdk_pylib_req vdk-pylib >= 0.2.0, vdk-pylib < 0.3.0


Name:           python-hoover
Version:        0.6.3
Release:        1%{?dist}
Summary:        hoover - A testing mini-framework for many a test case
URL:            https://gitlab.com/vornet/python/python-hoover
License:        MIT
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
hoover is a testing framework built with following principles
in mind:
*  data-driven testing,
*  easy test data definition (even with huge sets),
*  helpful reporting.
Typical use case is that you have a tested system, another
"reference" system and knowledge about testing input.  You then
create drivers for both systems that will parse and prepare
output in a way that it can be compared to eaach other.

Built with vdk-pylib-0.2.5


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-types-pyyaml
BuildRequires:  python3-pyyaml
BuildRequires:  python3
BuildRequires:  python3-pyyaml
Requires:       python3
Requires:       python3-pyyaml
%description -n python3-%{srcname}
hoover is a testing framework built with following principles
in mind:
*  data-driven testing,
*  easy test data definition (even with huge sets),
*  helpful reporting.
Typical use case is that you have a tested system, another
"reference" system and knowledge about testing input.  You then
create drivers for both systems that will parse and prepare
output in a way that it can be compared to eaach other.


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
export VDK_TEST__PYLIB_MODNAME=%{srcname}
%{_vdk_utildir}/vdk_test mypy \
  && %{_vdk_utildir}/vdk_test doctest \
  && %{_vdk_utildir}/vdk_test unittest \
  && %{_vdk_utildir}/vdk_test pytest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.1.4 and vdk-pylib-0.2.5
